Skip to main content
POST
/
wallets
Create a chain wallet
curl --request POST \
  --url https://api.breezing.io/v1/wallets \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "address": "<string>",
  "date_from": 123,
  "date_to": 123
}
'
{
  "success": true,
  "data": {
    "id": 123,
    "chain": "<string>",
    "status": "syncing"
  }
}

Documentation Index

Fetch the complete documentation index at: https://learn.breezing.io/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

org_id
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

company_id
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Body

application/json
name
string
required

Display name for the wallet (1-256 chars).

Required string length: 1 - 256
address
string
required

Wallet address. The chain is auto-detected from the address. Never send chain explicitly.

Minimum string length: 1
date_from
integer
required

Start of the initial sync window (unix seconds).

date_to
integer
required

End of the initial sync window (unix seconds).

Response

Wallet created successfully

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on May 3, 2026